---
layout: post
title: Tracking My To-Do List
date: 2015-03-20T15:50:45-04:00
summary: How I decide what to do each day
image: /images/2015/todoist_karma.png
tags:
- gtd
---

Last week, I wrote about running my blog as an open source project. Much to my surprise, my old friend [Roland](http://rolandtanglao.com/) was the first to submit an issue with a [post idea](https://github.com/walkah/walkah.net/issues/11): write about how I decide what to do each day.

I do contract work for multiple clients who each have their own ticketing / issue queue / agile systems. For work, then, I spend most of my day in Jira, Github issues or whatever else they use. Ideally, I book work in "day" chunks, so my morning starts by loading the tools for that day's client.

My to-do list, however, goes well beyond software tasks. For years and years, I was a [remember the milk](https://www.rememberthemilk.com/) pro user. Their apps, though, started to lag. I don't remember what, exactly, had me look elsewhere but (and the timing here was completely coincidental) exactly one year ago today I became a premium user of [Todoist](http://todoist.com/).

Everything I am supposed to do in a day (that isn't directly related to a specific software project) goes into Todoist. I have had the same general structure for several years:

* I keep the number of lists (or projects) minimal: "Personal", "Work" and recently I have added "House" (before that, "Move").
* I make use of tags for context. Each client in the "Work" list has a tag, for instance.
* I give *every* task a deadline. I liberally postpone and shift that deadline, but if it doesn't have a deadline it will just never get done. Most days begin and end with a review and deadline adjustments.

As for the tool itself, my biggest requirement is *ubiquity*. I need to be able to capture tasks wherever I am and be confident that it will be available when and where I need it. Todoist has apps and integrations everywhere and I have found the sync to be reliable. Some of the specific features that I use all the time are:

* [Gmail integration](https://en.todoist.com/gmail): for any email that requires a "not right now" action, I create a task, assign a deadline, and the task is then linked to the email (which I then archive so it doesn't clutter my inbox). When the task is done, I can easily recall the email to fire off whatever "it's done" message is required and mark the task complete.
* [Desktop Mac App](https://en.todoist.com/mac): most importantly, the keyboard shortcut to the "quick add" dialogue. When I'm at my computer and a task comes up (during a call, in a chat, or whatever), I hit `cmd-ctrl-a` and capture the task. After a year, it's become automatic.
* [Location reminders](https://blog.todoist.com/2014/07/02/announcing-todoists-new-location-notifications-with-free-30-day-trial/): I find these a little cumbersome to add, but when I have I think they're great. Anytime I have a "next time I'm at the post office" kind of task, I can set a location reminder and when it detects my phone is there, I get a notification.

Finally, if you're like me and a total sucker for gamification, [Todoist Karma](https://en.todoist.com/karma) is a fun feature. In my first year, I managed to hit "master" level ... well on my way to productivity enlightenment.
